## ld.so 1.8.12-1

=== debian/changelog ===
ld.so (1.8.12-1) stable; urgency=high

  * Fixed a bug in ld.so introduced in the previous version
    which broke preloads.

 -- David Engel <david@sw.ods.com>  Sat, 26 Jul 1997 13:57:52 -0500

ld.so (1.8.11-1) stable; urgency=high

  * Fixed buffer overflow bugs in ld-linux.so and ld.so.

 -- David Engel <david@sw.ods.com>  Mon, 21 Jul 1997 19:39:00 -0500

ld.so (1.8.10-2) unstable; urgency=low

  * Changed the shlibs file so other packages would depend on ldso
    instead of libdl1.

 -- David Engel <david@sw.ods.com>  Mon, 3 Mar 1997 11:40:34 -0600

ld.so (1.8.10-1) stable unstable; urgency=low

  * Fixed a bug in ldconfig where a symlink could be used
    instead of a regular file.

  * Fixed a Debian packaging problem for the sparc 
    architecture.

 -- David Engel <david@debian.org>  Tue, 18 Feb 1997 20:49:23 -0600

ld.so (1.8.9-1) unstable; urgency=low

  * Changed ldconfig to only cache the symlinks it creates.
    This make the behavior of the dynamic linkers consistent
     with how they would behave if a cache was not used.

  * Changed ldconfig to cache the symlinks that it finds but
    use the name of the symlink as the soname instead of the 
    actual soname.

 -- David Engel <david@debian.org>  Sun, 9 Feb 1997 00:32:25 -0600

ld.so (1.8.8-1) stable unstable; urgency=low

  * Minor documentation updates to reflect recent changes.

  * Changed ld.so and ld-linux.so to perform more complete
    validation on ld.so.cache before using it.

  * Changed ldconfig to accept libraries with inconsistent
    sonames since glibc is going to use them.  A warning is
    still printed in debug mode.

  * Changed the install script to not strip _dl_debug_state
    from ld-linux.so since gdb needs it.

  * More sparc fixes (Derrick Brashear).

  * Changed ldconfig to not issue a warning when a linker
    script disguised as a shared library is found.

  * Fixed a bug in ld-linux.so where some registers were 
    not preserved on the first call to a function causing 
    problems for non-C-like languages (Tim Renouf).

  * Fixed a bug in ld-linux.so where global variables were 
    not always mapped correctly across dynamically loaded 
    libraries (Mikihiko Nakao).

  * Converted to new Debian source packaging format (Shaya
    Potter).

 -- David Engel <david@debian.org>  Sat, 25 Jan 1997 23:30:10 -0600

Local variables:
mode: debian-changelog
End:
