=== debian/changelog ===
ld.so (1.9.10-1) frozen unstable; urgency=low

  * Changed ldconfig to issue a warning and not overwrite a
    regular file with a symlink (Bug#30859).
  * Changed Debian packaging to conflict with and replace the
    ldconfig package (Bug#29398).

 -- David Engel <david@debian.org>  Wed, 13 Jan 1999 20:11:18 -0600

ld.so (1.9.9-5) unstable; urgency=low

  * Fixed build problems on non-libc5 architectures (Bug#25493
    and Bug#25496).

 -- David Engel <david@debian.org>  Sat,  8 Aug 1998 21:53:14 -0500

ld.so (1.9.9-4) unstable; urgency=low

  * Replaced extraneous spaces in debian/rules with tabs
    (Bug#25348).

 -- David Engel <david@debian.org>  Wed,  5 Aug 1998 21:37:59 -0500

ld.so (1.9.9-3) unstable; urgency=low

  * Moved ldconfig back into the ldso package.

 -- David Engel <david@debian.org>  Thu,  9 Jul 1998 19:51:25 -0500

ld.so (1.9.9-2) unstable; urgency=low

  * Split ldconfig into it's own package and made the ldso and
    libdl1-dev packages to not contain anything for those 
    architectures which don't need them until the relavent 
    dependencies can be changed (Bug#24156)..

 -- David Engel <david@debian.org>  Wed,  8 Jul 1998 21:07:53 -0500

ld.so (1.9.9-1) frozen unstable; urgency=low

  * Changed ld-linux.so and libdl.so to match glibc by not
    allowing user preloads of system libraries into setu/gid
    binaries unless the library itself is setuid.
  * Fixed problems in ld-linux.so on the sparc architecture
    (Juan Cespedes).

 -- David Engel <david@sw.ods.com>  Thu, 21 May 1998 10:56:20 -0500

ld.so (1.9.8-1) frozen unstable; urgency=low

  * Changed ldconfig to allow the expected type for all
    libraries in a directory to be optionally specified
    (Mark Phillips).  See the ldconfig man page.
  * Changed ldconfig to use the same type names used in the
    change above when the -p option is used.

 -- David Engel <david@sw.ods.com>  Sun, 26 Apr 1998 13:50:28 -0500

ld.so (1.9.7-1) unstable; urgency=low

  * Changed ldd for m68k to use /lib/ld.so.1 instead of 
    /lib/ld-linux.so.2.
  * Added support for dladdr to libdl.so (Eduard Gode).
  * Fixed a small memory leak in libdl.so (Richard Garnish).
  * Fixed a bug in ldconfig when the -l option was used on a
    filename without a '/' in it.
  * Updated the man pages (Bug#6404, Bug#9721, Bug#10652, 
    Bug#13494 and Bug#14127).  They could still use some work.
  * No longer install the info page since it's way out of date.
  * Fixed minor Debian packaging problems (Bug#13160, 
    Bug#15577 and Bug#19345).

 -- David Engel <david@sw.ods.com>  Sat, 14 Mar 1998 22:08:21 -0600

ld.so (1.9.6-2) unstable; urgency=low

  * Changed ld-linux.so to be compilable with gcc 2.8.0 (Sven 
    Verdoolaege)

 -- David Engel <david@sw.ods.com>  Thu, 11 Sep 1997 13:40:37 -0500

ld.so (1.9.6-1) unstable; urgency=low

  * Changed ldd to not use the glibc dynamic linker when run
    on a libc5-based shared library.
  * Added a -q option to ldconfig which causes warnings not
    to be printed (Bob Tinsley).
  * Dropped support for the Debian libdl1-dev package.

 -- David Engel <david@sw.ods.com>  Wed, 10 Sep 1997 14:40:15 -0500

ld.so (1.9.5-1) unstable; urgency=low

  * Fixed a bug in ldd where ld-linux.so.2 was not called
    correctly when run on shared libraries.
  * Fixed a problem in the previous version where some
    Makefiles were not architecture independent.

 -- David Engel <david@sw.ods.com>  Tue,  5 Aug 1997 20:13:22 -0500

ld.so (1.9.4-1) unstable; urgency=high

  * Fixed a bug in ld.so introduced in the previous version
    which broke preloads.
  * Turned a.out support back on by default, at least for the
    time being.  There are no promises to keep it.

 -- David Engel <david@sw.ods.com>  Sat, 26 Jul 1997 14:21:23 -0500

ld.so (1.9.3-1) unstable; urgency=high

  * Fixed buffer overflow bugs in ld-linux.so and ld.so.
  * Changed the README file a little to clarify a couple of
    things.
  * Changed ldconfig to chroot to the specified directory when
    the new -r option is used (Bob Tinsley).

 -- David Engel <david@sw.ods.com>  Mon, 21 Jul 1997 15:55:13 -0500

ld.so (1.9.2-3) unstable; urgency=low

  * Added a warning in the description not to downgrade to 
    version 1.8.x or earlier.
  * Changed /etc/ld.so.conf to not be a dpkg "conf" file 
    (Bug#9722).
  * Fixed a typo in debian/rules which affected m68k builds 
    (Bug#10025).

 -- David Engel <david@sw.ods.com>  Tue, 27 May 1997 10:27:48 -0500

ld.so (1.9.2-2) unstable; urgency=low

  * Added a libdl1-altdev package which can coexist with the
    libc6-dev package.

 -- David Engel <david@sw.ods.com>  Fri, 2 May 1997 21:45:40 -0500

ld.so (1.9.2-1) unstable; urgency=low

  * Removed /usr/local/lib from the default /etc/ld.so.conf
    for Debian (Bug#8181).
  * Changed ldconfig to be 64-bit clean (H.J. Lu).

 -- David Engel <david@sw.ods.com>  Tue, 22 Apr 1997 19:56:26 -0500

ld.so (1.9.1-1) unstable; urgency=low

  * Changed ldconfig to try to determine which libc a
    library is for even if it doesn't have an soname.
  * Fixed a bug in ldconfig where an older library using
    the glibc naming convention would be used instead of
    a newer library.
  * Changed to ld-linux.so and libdl.so to not require the 
    libc5 headers in order to compile.
  * Changed ldconfig and ldd to be compilable with either
    libc5 or libc6.

 -- David Engel <david@sw.ods.com>  Tue, 18 Mar 1997 20:46:50 -0600

ld.so (1.9.0-1) unstable; urgency=low

  * Changed to not build the old, a.out dynamic loader by
    default.
  * Changed instldso.sh to require the --force option to
    make sure users read the README file.
  * Changed instldso.sh to not install the libdl.so
    development files unless the --devfiles option is used.
  * Changed instldso.sh to not strip binaries and libraries
    if the --no-strip option is used.
  * Changed the Debian packaging to put the development files 
    which conflict with glibc in a new libdl1-dev package.

