## ld.so 1.9.11-9

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,10 @@
 include Version.mk
 include Config.mk
 
-SUBDIRS = man util d-link
+SUBDIRS = man util
+ifeq ($(LIBC5_SUPPORT),true)
+SUBDIRS += d-link
+endif
 ifeq ($(AOUT_SUPPORT),true)
 SUBDIRS += ld-so
 endif
@@ -17,7 +20,7 @@
 
 clean:
 	set -e ; for d in $(SUBDIRS) ; do $(MAKE) -C $$d $@ ; done
-	rm -f *~
+	-find . -name '*~' | xargs rm -f
 
 dist:
 	$(MAKE) clean
