=== ld-so/Makefile ===
--- 
+++ 
@@ -1,5 +1,7 @@
 include ../Version.mk
 include ../Config.mk
+
+CC = $(LIBC5_CC)
 
 ALL = ld.so
