=== util/Makefile ===
--- 
+++ 
@@ -7,6 +7,8 @@
 endif
 
 all:	$(ALL)
+
+readelf.o: readelf.c readelf2.c
 
 ldconfig: ldconfig.o readelf.o
 	$(CC) -static $(CFLAGS) $(LDFLAGS) $^ -o $@
