=== d-link/libdl/Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 #ELF_LDFLAGS=-G  # with SVr4 ld
 
 lib:: $(OBJS)
-	$(CC) $(ELF_LDFLAGS) -o $(LIBDL) -Wl,-soname -Wl,libdl.so.$(VMAJOR) *.o
+	$(CC) $(ELF_LDFLAGS) -o $(LIBDL) -Wl,-soname -Wl,libdl.so.$(VMAJOR) *.o -lc
 
 obj: $(OBJS)
