=== debian/changelog ===
ld.so (1.9.11-9) frozen unstable; urgency=high

  * Reverted part of the previous change since other parts of
    the system are not ready for it (Bug#63485).

 -- David Engel <david@debian.org>  Wed,  3 May 2000 12:06:09 -0500

ld.so (1.9.11-8) frozen unstable; urgency=low

  * Included ldconfig changes from RedHat and David Huggins-Daines
    for 64-bit architectures (Bug#63183).
  * Include DEBIAN/md5sums file (Bug#62304).

 -- David Engel <david@debian.org>  Mon,  1 May 2000 21:36:49 -0500

ld.so (1.9.11-7) frozen unstable; urgency=low

  * Fixed sparc segfaults in ldconfig (again) by not using any 
    optimization.

 -- David Engel <david@debian.org>  Mon,  3 Apr 2000 20:49:41 -0500

ld.so (1.9.11-6) frozen unstable; urgency=low

  * Fixed sparc segfaults in ldconfig by compiling with lower
    optimization (Bug#59285 and Bug#61461).
  * Added minor manpage updates (Bug#56278 and Bug#57638).

 -- David Engel <david@debian.org>  Sun,  2 Apr 2000 20:04:58 -0500

ld.so (1.9.11-5) unstable; urgency=low

  * Fixed MIPS problem in ldconfig.
  * Worked around more libc6 ldd problems.

 -- David Engel <david@debian.org>  Mon, 25 Oct 1999 11:13:51 -0500

ld.so (1.9.11-4) unstable; urgency=low

  * FHS changes.

 -- David Engel <david@debian.org>  Sun,  3 Oct 1999 14:02:30 -0500

ld.so (1.9.11-3) unstable; urgency=high

  * Fixed segfaults caused by latent bugs and the previous NMU
    (Bug#45371, Bug#45396).

 -- David Engel <david@debian.org>  Fri, 17 Sep 1999 21:45:32 -0500

ld.so (1.9.11-2.1) unstable; urgency=low

  * Non-maintainer release.
  * Blah, glibc's ldd screws up on libc5 binaries,
    so use this one again on i386/m68k.
    - Add Replaces libc6 (<< 2.1.2-2).
  * sparc no longer wants libc5-compat packages.

 -- Joel Klecker <espy@debian.org>  Fri, 17 Sep 1999 08:51:34 -0700

ld.so (1.9.11-2) unstable; urgency=low

  * Fixed a typo in the last revision.

 -- David Engel <david@debian.org>  Tue,  4 May 1999 21:18:09 -0500

ld.so (1.9.11-1) unstable; urgency=low

  * Fixed a bug in ld-linux.so where a reference to an
    undefined symbol could cause a segfault.
  * Added a clarification for LD_PRELOAD to the ld.so manual 
    page and added a symlink for ld-linux.so (Bug#33123).
  * Don't install ldd for Debian except for the m68k arch
    because glibc 2.1 now includes it (Bug#35458).

 -- David Engel <david@debian.org>  Sat,  1 May 1999 22:10:48 -0500

ld.so (1.9.10-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Re-add provision of ldd for m68k, as we're not switching to glibc 2.1
    right now.

 -- James Troup <james@nocrew.org>  Sun, 28 Mar 1999 13:04:49 +0100

ld.so (1.9.10-1.1) unstable; urgency=low

  * Non-maintainer release for glibc 2.1.
  * No longer provide ldd even on libc5 archs
    (glibc 2.1's ldd supports libc6, libc5, and libc4 binaries
     where applicable).

 -- Joel Klecker <espy@debian.org>  Sun, 28 Feb 1999 04:21:07 -0800

  ld.so (1.9.10-1) frozen unstable; urgency=low

  * Changed ldconfig to issue a warning and not overwrite a
    regular file with a symlink (Bug#30859).
  * Changed Debian packaging to conflict with and replace the
    ldconfig package (Bug#29398).

 -- David Engel <david@debian.org>  Wed, 13 Jan 1999 20:11:18 -0600
