=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Architecture: any
 Provides: ldconfig, libdl1
 Conflicts: ldconfig
-Replaces: ldconfig
+Replaces: ldconfig, libc6
 Description: The Linux dynamic linker, library and utilities.
  The dynamic linker provides the user-level support for loading and
  linking DLL and ELF shared libraries.  It is required by any program
@@ -23,7 +23,7 @@
 Package: libdl1-altdev
 Section: devel
 Priority: optional
-Architecture: i386 m68k sparc
+Architecture: i386 m68k
 Depends: ldso (=${Source-Version}), libc5-altdev (>=5.4.0-0)
 Description: The Linux dynamic linker library (libc5 altdev files).
  This package can be used to build libc5-based binaries even when
