=== debian/rules ===
--- 
+++ 
@@ -69,25 +69,28 @@
 	install -m 755 d-link/ld-linux.so debian/tmp/lib/ld-linux.so.$(v)
 	strip -g -K _dl_debug_state debian/tmp/lib/ld-linux.so.$(v)
 	ln -sf ld-linux.so.$(v) debian/tmp/lib/ld-linux.so.$(vm)
+ifneq ($(ARCH),sparc)
 	install -s -m 755 d-link/libdl/libdl.so debian/tmp/lib/libdl.so.$(v)
 	ln -sf libdl.so.$(v) debian/tmp/lib/libdl.so.$(vm)
 endif
-	#
-	install -d -m 755 debian/tmp/usr/man/man8
-	install -m 644 man/ldconfig.8 debian/tmp/usr/man/man8/ldconfig.8
-ifeq ($(LIBC5_SUPPORT),true)
-	install -d -m 755 debian/tmp/usr/man/man1
-	install -m 644 man/ldd.1 debian/tmp/usr/man/man1/ldd.1
-	install -d -m 755 debian/tmp/usr/man/man8
-	install -m 644 man/ld.so.8 debian/tmp/usr/man/man8/ld.so.8
-	gzip -9 debian/tmp/usr/man/man*/*
 endif
 	#
-	install -d -m 755 debian/tmp/usr/doc/ldso
-	install -m 644 README debian/tmp/usr/doc/ldso/README
-	install -m 644 debian/changelog debian/tmp/usr/doc/ldso/changelog
-	gzip -9f debian/tmp/usr/doc/ldso/*
-	install -m 644 debian/copyright debian/tmp/usr/doc/ldso/copyright
+	install -d -m 755 debian/tmp/usr/share/man/man8
+	install -m 644 man/ldconfig.8 debian/tmp/usr/share/man/man8/ldconfig.8
+ifeq ($(LIBC5_SUPPORT),true)
+	install -d -m 755 debian/tmp/usr/share/man/man1
+	install -m 644 man/ldd.1 debian/tmp/usr/share/man/man1/ldd.1
+	install -d -m 755 debian/tmp/usr/share/man/man8
+	install -m 644 man/ld.so.8 debian/tmp/usr/share/man/man8/ld.so.8
+	gzip -9 debian/tmp/usr/share/man/man*/*
+	ln -sf ld.so.8.gz debian/tmp/usr/share/man/man8/ld-linux.so.8.gz
+endif
+	#
+	install -d -m 755 debian/tmp/usr/share/doc/ldso
+	install -m 644 README debian/tmp/usr/share/doc/ldso/README
+	install -m 644 debian/changelog debian/tmp/usr/share/doc/ldso/changelog
+	gzip -9f debian/tmp/usr/share/doc/ldso/*
+	install -m 644 debian/copyright debian/tmp/usr/share/doc/ldso/copyright
 	#
 	install -d -m 755 debian/tmp/DEBIAN
 ifeq ($(LIBC5_SUPPORT),true)
@@ -103,10 +106,12 @@
 	sed -e 's/VERSION/$(VERSION)/' debian/postinst \
 		> debian/tmp/DEBIAN/postinst
 	chmod 755 debian/tmp/DEBIAN/postinst
+	install -m 755 debian/prerm debian/tmp/DEBIAN/prerm
 ifeq ($(LIBC5_SUPPORT),true)
 	install -m 644 debian/shlibs debian/tmp/DEBIAN/shlibs
 endif
 	#
+	dh_md5sums -pldso -Pdebian/tmp
 	dpkg-gencontrol -pldso
 	chmod -R g-w debian/tmp
 	chown -R root.root debian/tmp
@@ -115,6 +120,7 @@
 	##############################
 	# build the libdl1-altdev package
 ifeq ($(LIBC5_SUPPORT),true)
+ifneq ($(ARCH),sparc)
 	rm -rf debian/tmp
 	install -d -m 755 debian/tmp
 	chmod g-s debian/tmp
@@ -126,14 +132,18 @@
 	install -m 644 d-link/libdl/dlfcn.h \
 		debian/tmp/usr/$(archx)-linuxlibc1/include/dlfcn.h
 	#
-	install -d -m 755 debian/tmp/usr/doc
-	ln -sf ldso debian/tmp/usr/doc/libdl1-altdev
+	install -d -m 755 debian/tmp/usr/share/doc
+	ln -sf ldso debian/tmp/usr/share/doc/libdl1-altdev
 	#
 	install -d -m 755 debian/tmp/DEBIAN
+	install -m 755 debian/dev.postinst debian/tmp/DEBIAN/postinst
+	install -m 755 debian/dev.prerm debian/tmp/DEBIAN/prerm
+	dh_md5sums -plibdl1-altdev -Pdebian/tmp
 	dpkg-gencontrol -plibdl1-altdev
 	chmod -R g-w debian/tmp
 	chown -R root.root debian/tmp
 	dpkg --build debian/tmp ..
+endif
 endif
 
 binary: binary-indep binary-arch
