## ld.so 1.9.11-15

=== debian/changelog ===
ld.so (1.9.11-15) unstable; urgency=low

  * Only build ldso for i386 and m68k architectures since a
    placeholder package is no longer needed for the others
    (Bug#88093).

 -- David Engel <david@debian.org>  Tue,  6 Mar 2001 20:17:20 -0600

ld.so (1.9.11-14) unstable; urgency=low

  * Fixed Build-Depends again^2 (Bug#87663, Bug#87664).
  * Changed section to oldlibs.

 -- David Engel <david@debian.org>  Tue, 27 Feb 2001 20:29:17 -0600

ld.so (1.9.11-13) unstable; urgency=low

  * Fixed Build-Depends again (Bug#75457).
  * Fixed typos in ld.so manpage (Bug#65633, Bug#65636).
  * Account for renaming of ldconfig.new in md5sums file 
    (Bug#66425).
  * Note that the previous two changes have no real effect since
    the modified files are no longer included.

 -- David Engel <david@debian.org>  Tue, 20 Feb 2001 20:56:17 -0600

ld.so (1.9.11-12) unstable; urgency=low

  * Fixed Build-Depends (Bug#72662).
  * Added a README.Debian file and changed the package descriptions
    to reflect the deprecated status of ldso and libdl1-altdev
    (Bug#74308).

 -- David Engel <david@debian.org>  Wed, 18 Oct 2000 20:45:35 -0500

ld.so (1.9.11-11) unstable; urgency=low

  * Changed libc6 dependencies to >=2.1.94-2.

 -- David Engel <david@debian.org>  Wed, 27 Sep 2000 22:46:24 -0500

ld.so (1.9.11-10) unstable; urgency=low

  * Removed ldconfig and ldd and associated man pages since 
    they are now in libc6.

 -- David Engel <david@debian.org>  Tue, 26 Sep 2000 20:51:41 -0500
