=== debian/control ===
Source: ld.so
Section: oldlibs
Priority: optional
Maintainer: David Engel <david@debian.org>
Standards-Version: 2.4.0.0
Build-Depends: libc6-dev (>=2.1.94-2), altgcc (>=2.7.2.3), libc5-altdev (>=5.4.0), sharutils, debhelper

Package: ldso
Section: oldlibs
Priority: optional
Architecture: i386 m68k
Provides: libdl1
Replaces: libc6
Depends: libc6 (>=2.1.94)
Description: The Linux dynamic linker and library for libc4 and libc5.
 This dynamic linker provides the user-level support for loading and
 linking DLL and ELF shared libraries.  You do not need this package
 unless you have very old programs which use libc4 or libc5.  The libc6
 package has its own dynamic linker that is used for all current 
 programs.

Package: libdl1-altdev
Section: oldlibs
Priority: optional
Architecture: i386 m68k
Depends: ldso (=${Source-Version}), libc5-altdev (>=5.4.0-0)
Description: The Linux dynamic linker library (libc5 altdev files).
 This package can be used to build libc5-based binaries even when 
 the libc6-dev package is installed.  You do not need this package
 unless you are rebuilding very old programs which use libc5.  The
 libc6-dev package contains its own dynamic linker library that should
 be used to  rebuild current programs.
