=== debian/rules ===
--- 
+++ 
@@ -52,13 +52,13 @@
 	install -d -m 755 debian/tmp
 	chmod g-s debian/tmp
 	#
-	install -d -m 755 debian/tmp/sbin
-	install -s -m 755 util/ldconfig debian/tmp/sbin/ldconfig.new
+	#install -d -m 755 debian/tmp/sbin
+	#install -s -m 755 util/ldconfig debian/tmp/sbin/ldconfig.new
 ifeq ($(LIBC5_SUPPORT),true)
-	install -d -m 755 debian/tmp/usr/bin
-	install -s -m 755 util/ldd debian/tmp/usr/bin/ldd
-	install -d -m 755 debian/tmp/usr/lib
-	install -s -m 755 util/lddstub debian/tmp/usr/lib/lddstub
+	#install -d -m 755 debian/tmp/usr/bin
+	#install -s -m 755 util/ldd debian/tmp/usr/bin/ldd
+	#install -d -m 755 debian/tmp/usr/lib
+	#install -s -m 755 util/lddstub debian/tmp/usr/lib/lddstub
 endif
 ifeq ($(AOUT_SUPPORT),true)
 	install -d -m 755 debian/tmp/lib
@@ -75,19 +75,20 @@
 endif
 endif
 	#
-	install -d -m 755 debian/tmp/usr/share/man/man8
-	install -m 644 man/ldconfig.8 debian/tmp/usr/share/man/man8/ldconfig.8
+	#install -d -m 755 debian/tmp/usr/share/man/man8
+	#install -m 644 man/ldconfig.8 debian/tmp/usr/share/man/man8/ldconfig.8
 ifeq ($(LIBC5_SUPPORT),true)
-	install -d -m 755 debian/tmp/usr/share/man/man1
-	install -m 644 man/ldd.1 debian/tmp/usr/share/man/man1/ldd.1
-	install -d -m 755 debian/tmp/usr/share/man/man8
-	install -m 644 man/ld.so.8 debian/tmp/usr/share/man/man8/ld.so.8
-	gzip -9 debian/tmp/usr/share/man/man*/*
-	ln -sf ld.so.8.gz debian/tmp/usr/share/man/man8/ld-linux.so.8.gz
+	#install -d -m 755 debian/tmp/usr/share/man/man1
+	#install -m 644 man/ldd.1 debian/tmp/usr/share/man/man1/ldd.1
+	#install -d -m 755 debian/tmp/usr/share/man/man8
+	#install -m 644 man/ld.so.8 debian/tmp/usr/share/man/man8/ld.so.8
+	#gzip -9 debian/tmp/usr/share/man/man*/*
+	#ln -sf ld.so.8.gz debian/tmp/usr/share/man/man8/ld-linux.so.8.gz
 endif
 	#
 	install -d -m 755 debian/tmp/usr/share/doc/ldso
 	install -m 644 README debian/tmp/usr/share/doc/ldso/README
+	install -m 644 debian/README.Debian debian/tmp/usr/share/doc/ldso/README.Debian
 	install -m 644 debian/changelog debian/tmp/usr/share/doc/ldso/changelog
 	gzip -9f debian/tmp/usr/share/doc/ldso/*
 	install -m 644 debian/copyright debian/tmp/usr/share/doc/ldso/copyright
@@ -139,6 +140,8 @@
 	install -m 755 debian/dev.postinst debian/tmp/DEBIAN/postinst
 	install -m 755 debian/dev.prerm debian/tmp/DEBIAN/prerm
 	dh_md5sums -plibdl1-altdev -Pdebian/tmp
+	# Handle rename of ldconfig.new to ldconfig
+	perl -p -i -e 's/ldconfig\.new/ldconfig/' debian/ldso/DEBIAN/md5sums
 	dpkg-gencontrol -plibdl1-altdev
 	chmod -R g-w debian/tmp
 	chown -R root.root debian/tmp
